﻿/* ========== Common [START] ========== */

*
{
  box-sizing: border-box; /* Have element's width include border and padding: */
  font-family: "Open Sans", "Proxima Nova Regular", "Helvetica Neue", "Calibri", "Droid Sans", "Helvetica", "Arial", "sans-serif";
  text-rendering: optimizeLegibility;
  --teal-accent: #aae5e5;
  --pink-accent: #fdd3d6;
}

body, a
{
  color: var(--grey-dark);
}

a, *:focus
{
  outline: none;
}

header a
{
  text-decoration: none;
}

p
{
  margin: 0.5em 0;
}

button::-moz-focus-inner
{
  border: 0;
}

ul, ol
{
  margin: 1em;
  padding: 0;
}

.success
{
  color: green;
}
.warning, .warn
{
    color: maroon;
}
.error, .fatal
{
    color: red;
}

.full-width
{
    width: 100%;
}

.uppercase
{
    text-transform: uppercase;
}

.hidden
{
  display: none;
}

.clear-fix
{
  clear: both;
}

.disabled
{
  opacity: 0.5;
}

.col
{
  float: left;
  padding: 5px; /* This is the gutter between columns */
}
.col-1 { width: 100%; }
.col-2 { width: 50%; }
.col-3 { width: 33.333%; }
.col-4 { width: 25%; }
.col-5 { width: 20%; }
.col-10 { width: 10%; }

.section-loading
{
  font-size: 1.5em;
}

.dialog
{
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
  height: 100%;
  justify-content: center;
  left: 0;
  padding: 1rem;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 200;
}
.dialog-content
{
  background-color: white;
  border: solid 1px var(--grey-light);
  border-radius: 5px;
  padding: 1em;
  max-height: 80%;
  max-width: 80%;
  min-width: 20em;
  overflow: auto;
  z-index: 200;
}

.btn-progress
{
  cursor: pointer;
  display: inline-block;
  margin: 0 1em;
}

.pager a
{
  border: solid 1px var(--beige);
  display: inline-block;
  margin-left: 0.2em;
  padding: 0 0.5em;
}
.pager a:first-child
{
  margin-left: 0;
}
.pager .active-page
{
  background-color: var(--blue);
  color: white;
}

.result-col
{
  cursor: pointer;
  text-align: center;
}

.accordian
{
  margin: 0.5rem 0;
  width: 100%;
}
.accordian header
{
  font-size: 1.1rem;
  padding: 0.5rem 0.8rem;
  text-align: left;
  width: 100%;
}
.accordian .content
{
  margin-top: 0.2rem;
}
.accordian .selected-items
{
  font-size: 0.6em;
}
.accordian.collapsed .content
{
  display: none;
}
.accordian li
{
  padding: 0.2rem 0;
}
.accordian li:hover
{
  background-color: var(--blue-light);
}
.accordian li > *
{
  display: block;
}

.flat-list
{
  list-style: none;
  margin-left: 0;
}

larger-font
{
  font-size: larger;
}

/* The scroll bar styling */
.filter-list::-webkit-scrollbar, .captions-table::-webkit-scrollbar {
  width: 10px;
  border-radius: 14px;
}

/* Track */
.filter-list::-webkit-scrollbar-track, .captions-table::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 8px;
}

/* Handle */
.filter-list::-webkit-scrollbar-thumb, .captions-table::-webkit-scrollbar-thumb {
  background: #bbbbbb;
  border-radius: 8px;
}
/* == Checkbox style == */

/* Label style */
.checkmark-container {
  display: inline-block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 5px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkmark-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: white;
  border: 1px solid #ccc;
}

/* On mouse-over, add a grey background color */
.checkmark-container:hover input ~ .checkmark {
  background-color: #a9c6f5;
}

/* When the checkbox is checked, add a blue background */
.checkmark-container input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkmark-container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkmark-container .checkmark:after {
  left: 7px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.space-between
{
  justify-content: space-between;
}

.justify-end
{
  justify-content: flex-end;
}

.no-padding-lr
{
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.flex-center
{
  display: flex;
  justify-content: center;
}

.progress-bar-w-percent
{
  position: relative;
}
.progress-bar-w-percent progress
{
  position: absolute;
  background-color: black;
  color: black;
  width: 100%;
}
.progress-bar-w-percent .percentage
{
  font-size: 0.8em;
  left: 48%;
  position: absolute;
}

/* ========== Common [END] ========== */

/* ========== Master Layout [START] ========== */

html, body
{
  height: 100%;
  margin: 0;
  padding: 0;
}

#app-env
{
  background-color: var(--yellow-accent);
}

#global-error
{
  margin: 1rem;
}

main
{
  color: var(--grey-dark);
  margin: 0 var(--site-margin);
  margin-top: 1rem;
}

#info-dialog-top
{
  margin-bottom: 1em;
}
#info-dialog-heading
{
  font-size: 1.5em;
  font-weight: bold;
}
#close-info-dialog
{
  float: right;
}

.input-group
{
  align-items: center;
  display: grid;
  grid-auto-flow: row;
  grid-column: labels;
  grid-gap: .5em;
  grid-row: auto;
  grid-template-columns: [labels] auto [controls] 1fr;
  margin: 1em 0;
}
.input-group > input,
.input-group > textarea
{
  grid-column: controls;
  grid-row: auto;
}

#alert-banner {
  background-color: var(--yellow-accent);
  white-space: pre-wrap;
}

#notifications-side-bar {
  position: fixed;
  bottom: 0px;
  right: 0px;
  width: 350px;
  max-height: 100%;
  z-index: 100;
  overflow-y: auto;
}

.story-text
{
  border-left: 1px solid LightGrey;
}

/* ========== Master Layout [END] ========== */

/* =========== Search [START] ========== */

#search
{
  margin-top: 2em;
  margin-bottom: 1em;
  padding: 0 var(--site-margin);
}

#search .awesomplete
{
  width: 100%;
  z-index: 10;
}

#clear-search-btn
{
  background: none;
  border: none;
  font-size: 0.9em;
  cursor: pointer;
  position: absolute;
  right: 0.2em;
  top: 0.7em;
  z-index: 10;
}

.awesomplete li i
{
  color: grey;
  font-size: 0.8em;
}

#advanced-panel
{
  justify-content: space-around;
  flex-wrap: wrap;
}

.panel-section
{
  border: 1px solid #dbdbdb;
  padding: 10px;
  flex-grow: 2;
  text-align: center;
  margin-left:-1px;
  margin-top:-1px;
  align-items: center;
  justify-content: center;
}

.search-opt {
  border: 1px solid #b5b5b5;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
  margin: 2px;
}

#search-opts-container
{
  border-radius: 5px;
  width: 95%;
  margin: auto;
  flex-wrap: wrap;
  justify-content: center;
}

.search-opt-selected
{
  background-color: #209cee;
  border: none;
  color: white;
}

.progress-margin
{
  margin-top: 16px;
  margin-bottom: 40px;
}

#search-dates-container
{
  justify-content: space-evenly;
  flex-wrap: wrap;
}

#search-container
{
  position: relative;
}

.select:not(.is-multiple):not(.is-loading)::after
{
  z-index: 0;
}

.pikaday-input
{
  max-width: 250px;
}

#pikaday-container input
{
  margin: 3px;
}

.tablet-search-add
{
  display: none !important;
}

#adv-search-mobile
{
  margin-bottom: .75em;
  width: max-content;
}
/* ==== changing bulma to make it more beautiful */

.field.has-addons .control .button:not([disabled]):hover,
.field.has-addons .control .button:not([disabled]).is-hovered,
.field.has-addons .control .input:not([disabled]):hover,
.field.has-addons .control .input:not([disabled]).is-hovered,
.field.has-addons .control .select select:not([disabled]):hover,
.field.has-addons .control .select select:not([disabled]).is-hovered
{
  z-index: 0;
}

.field.has-addons .control .button:not([disabled]):focus:hover,
.field.has-addons .control .button:not([disabled]).is-focused:hover,
.field.has-addons .control .button:not([disabled]):active:hover,
.field.has-addons .control .button:not([disabled]).is-active:hover,
.field.has-addons .control .input:not([disabled]):focus:hover,
.field.has-addons .control .input:not([disabled]).is-focused:hover,
.field.has-addons .control .input:not([disabled]):active:hover,
.field.has-addons .control .input:not([disabled]).is-active:hover,
.field.has-addons .control .select select:not([disabled]):focus:hover,
.field.has-addons .control .select select:not([disabled]).is-focused:hover,
.field.has-addons .control .select select:not([disabled]):active:hover,
.field.has-addons .control .select select:not([disabled]).is-active:hover
{
  z-index: 0;
}

.field.has-addons .control .button:not([disabled]):focus,
.field.has-addons .control .button:not([disabled]).is-focused,
.field.has-addons .control .button:not([disabled]):active,
.field.has-addons .control .button:not([disabled]).is-active,
.field.has-addons .control .input:not([disabled]):focus,
.field.has-addons .control .input:not([disabled]).is-focused,
.field.has-addons .control .input:not([disabled]):active,
.field.has-addons .control .input:not([disabled]).is-active,
.field.has-addons .control .select select:not([disabled]):focus,
.field.has-addons .control .select select:not([disabled]).is-focused,
.field.has-addons .control .select select:not([disabled]):active,
.field.has-addons .control .select select:not([disabled]).is-active
{
  z-index: 0;
}

/* =========== Search [END] ========== */



/* =========== Player [START] ========== */

#player-container
{
  background-color: black;
  color: white;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  padding: 3px;
  position: relative;
  user-select: none;
  width: 100%;
}

#player-container.full-screen video
{
  height: 100%;
}
#player-container.not-full-screen video
{
  height: auto;
}
/* Make the video bigger/taller when the video column is expanded (full
 * width) */
.expanded video
{
  min-height: 720px;
}

#player-container .controls
{
  color: white;
  padding: 0.5em 0.5em 0 0.5em;
  z-index: 0;
}
#player-container.full-screen .controls
{
  background-image: linear-gradient(to bottom, rgba(0,0,0,0), rgba(0,0,0,0.8));
  bottom: 0;
  position: absolute;
  width: 100%;
}
#player-container .controls > div
{
  margin: 0 0 0.5em 0;
}

.audio-controls, #player-container .video-controls
{
  display: flex;
  flex-wrap: wrap;
}

#player-container #video-ctrls-right
{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

#player-container #speed-container
{
  align-items: center;
  display: flex;
  justify-content: center;
  margin-right: 0.75em;
}

#player-container .level-item > *
{
  padding-left: 0.3em;
  padding-right: 0.3em;
}

#player-container button.clear
{
  background: none;
  border: none;
  color: white;
  padding-left: 0.4em;
  padding-right: 0.4em
}

#player-container #audio-tracks
{
  margin-right: 0.5em;
  margin-bottom: 0;
}

#player-container #audio-ctrls-right
{
  display: flex;
  margin-top: 0;
}

#player-container button.audio-channel-btn
{
  border-radius: 50%;
  height: 2.5em;
  margin: 0.2em;
  width: 2.5em;
}

#player-container .progress-container
{
  align-items: center;
  cursor: pointer;
  display: flex;
  position: relative;
}

#player-container .progress-container .scrubber
{
  font-size: 1.1em;
  left: 0;
  line-height: 2px; /* Hack needed to vertically align in Firefox */
  position: absolute;
}

#player-container:hover .scrubber
{
  pointer-events: none;
  visibility: visible;
}

#player-container .progress-bar
{
  height: 0.5em;
}

#player-container .volume-bar
{
  border-radius: 0;
  cursor: pointer;
  height: 0.5em;
  padding: 0;
  width: 5em;
}

#player-container #time-container
{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

#timecode input
{
  background-color: hsl(0, 0%, 21%);
  border: none;
  border-radius: 25px;
  color: white;
  font-size: 1em;
  padding: 0.5em;
  text-align: center;
  width: 7em;
}
#timecode input:hover
{
  background-color: hsl(0, 0%, 29%);
}

/* Keyboard Shortcuts overlay */

#under-overlay
{
  opacity: 0.7;
  background-color :black
}

#over-overlay
{
  color: white;
  opacity: 1;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  overflow-x: auto;
}

#overlay-text
{
  align-self: center;
}

#overlay-text #overlay-header p
{
  text-align: center;
  color: white;
  font-size: 1.5em;
  margin-bottom: 1.5em;
}

#shortcut-columns
{
  justify-content: center;
  width: 95%;
  max-width: 900px;
  margin: auto;
  align-items: flex-start;
}

#shortcut-columns #left
{
  width: 50%;
}

#shortcut-columns #right
{
  width: 50%;
  max-width: 370px;
}

#shortcut-btn
{
  font-size: 1em;
  border: 1px solid white;
  padding: 0.55em 0.5em 0.45em 0.5em;
  margin: 0 0.2em;
  border-radius: 5%;
}

/* =========== Player [END] ========== */

/* =========== Login Page [START] ========== */

#login-page h1
{
  text-align: center;
}

#login-page form
{
  margin-left: auto;
  margin-right: auto;
  max-width: 25em;
}

/* =========== Login Page [END] ============ */

/* ======= Video Detail/Player Page [START] ======= */

#caption-btn
{
  font-family: BlinkMacSystemFont, -apple-system, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
}

#video-detail-page .title
{
  margin-top: 0.5em;
}

#video-detail-page #proxy-loading
{
  align-content: center;
  align-items: center;
  background-color: black;
  color: white;
  display: flex;
  flex-direction: column;
  height: 30em;
  justify-content: center;
  width: 100%
}

#slug-name
{
  align-self: center;
  margin-right: 0.5em;
}

#slug-renamed-i
{
  font-size: 22px;
  color: hsl(204, 86%, 53%);
  text-align: center;
  vertical-align: middle;
  margin-left: 0.5em;
}

#rename-btn-container, #save-btn-container, #update-btn-container
{
  flex-direction: row;
}

#video-detail-page .location-path
{
  padding-bottom: 0.5em;
}

#video-detail-page .path-span
{
  overflow-wrap: break-word;
  word-break: break-word;
}

#video-detail-page .location-tag-items div
{
  margin: 0.2em;
}

#video-detail-page .mobile-locations-add
{
  display: none;
}

.video-options-dropdown-item {
  margin: 0 !important;
  border: none !important;
}

/* ======== Video Detail/Player Page [END] ======= */

/* ======== Transfer Page [START] ========= */

.transfer-table
{
  width: 100%;
  table-layout: fixed;
}

.transfer-table tr>:first-child
{
  width: 25%;
}

#transfer-progress-containner
{
  width: 80%;
  margin: 10px 10px 30px 10px;
}

#transfer-succ-container
{
  width: 80%;
  margin: 30px 10px;
}

#transfer-succ-container span
{
  margin-right: 5px;
}

#transfer-succ-container span i
{
  font-size: 22px;
  color: hsl(204, 86%, 53%);
  text-align: center;
  vertical-align: middle;
}

.bg-whitesmoke {
  background: whitesmoke;
}

.confirm-names {
  padding: 7px;
  border-radius: 5px;
  color: white;
}

.scrollable-checkmarks
{
  max-height: 293px;
  overflow: auto;
}

.field-required:after
{
  content:"*";
  color: red;
}

.options-list
{
  padding: .5em 0 0 .5em;
}

.options-list-danger
{
  padding: .5em 0 0 .5em;
  border: 1px solid red;
}

.subclip-one-mark
{
  display: flex;
  padding: .1em;
}

.subclip-one-mark *
{
  margin: .2em;
}

.subclip-one-mark p
{
  width: 40px;
  margin: 0.5em 0;
}

#subclip-mark-in-out
{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 54px;
  height: 28px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .2s;
  transition: .2s;
}

input:checked + .slider {
  background-color: #3298dc;
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--blue);
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
/* ======== Transfer Page [END] ======= */

/* ======== Video List Page [START] ========= */

#video-list-page .video-page
{
  margin-top: 2em;
}

#video-list .video-row
{
  min-height: 8em;
}

#video-list .video-row:nth-child(odd)
{
  background-color: var(--grey-light);
}
#video-list .video-row:nth-child(even)
{
  background-color: white;
}

.video-row
{
  display: grid;
  grid-gap: 1em;
  grid-template-columns: auto auto 4fr 0 1fr;
  margin: 0;
  padding: 0.5em 1em 0.5em 1em;
}
.video-row > *
{
  padding-top: 0.5em;
  word-break: break-all;
}
.video-row .num
{
  align-self: center;
  color: grey;
  font-size: 0.7em;
}
.video-row .thumbnail-group
{
  padding: 0.5em;
  text-align: center;
  width: 12.8em;
}
.video-row .video-thumbnail
{
  display: block;
  height: 7.2em;
  margin-bottom: 0.3em;
  padding: 2em;
  width: 100%;
}
.video-row .video-thumbnail i
{
  font-size: 3em;
}
.video-row .description .title
{
  display: block;
  margin-bottom: 0.5em;
}

.video-row .description
{
  position: relative;
}

.video-row .description .file-type
{
  position: absolute;
  bottom: 0;
  right: 0;
}

.video-row .video-times
{
  position: relative;
}
.video-row .video-times > *
{
  margin-bottom: 0.3em;
}
.video-row .created-date,
.video-row .video-duration
{
  font-size: 0.9em;
}
.video-row .created-date
{
  position: absolute;
  top: 0.5em;
}
.video-row .story-button
{
  position: absolute;
  right: 0;
  top: 0.5em;
}
.video-row .video-duration
{
  bottom: 0;
  position: absolute;
}
.video-row .video-times i
{
  padding-right: 0.5em;
}
.video-row .created-date .abs,
.video-row .video-duration .abs
{
  color: var(--grey-dark);
  display: inline-block;
  font-size: 0.8em;
}
.video-row .action-btns
{
  align-self: center;
}

.video-row .action-btns > *
{
  display: block;
  font-size: 0.8em;
  margin-bottom: 0.5em;
  width: 100%;
}

/* ======== Video List Page [END] ========= */

/* ======== Proxy Workers Page [START] ========= */

#proxy-workers-page pre
{
  background-color: transparent;
}

/* ======== Proxy Workers Page [END] ========= */

/* ======== Proxy Jobs Page [START] ========= */

.filter-list
{
  line-height: 2;
  max-height: 50vh;
  overflow-y: auto;
}

/* Handle on hover */
.filter-list::-webkit-scrollbar-thumb:hover {
  background: #8e8e8e;
}

#proxy-jobs-filter-col
{
  overflow-x: hidden;
  margin-right: 16px;
  width: 300px;
  padding: 0px 10px 10px 10px;
  font-size: large;
  transition: .2s;
  background-color: var(--cream);
}

#proxy-jobs-page pre
{
  background-color: transparent;
}

.job-container
{
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
}

.job-card
{
  display: grid;
  border-radius: 8px;
  grid-template-rows: auto auto auto auto auto auto auto;
  grid-template-columns: 64px auto;
  margin-bottom: 4em;
  width: 80%;
}

.info-btn
{
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 1;
  grid-row-end: 7;
  border-top-left-radius: 8px;
  background-color: var(--yellow-accent);
  display: flex;
  justify-content: center;
  align-items: center;
}

.info-btn:hover
{
  background-color: #e0ca91;
  transition: background-color 0.25s ease;
}

.proxy-progress
{
  grid-row-start: 7;
  grid-row-end: 7;
  grid-column-end: span 2;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.proxy-clipname
{
  grid-row-start: 1;
  grid-row-end: 1;
  grid-column-start: 2;
  margin-left: 1em;
  margin-top: 0.5em;
}

.proxy-path
{
  grid-row-start: 2;
  grid-row-end: 2;
  grid-column-start: 2;
  margin-left: 1em;
}

.proxy-details
{
  grid-row-start: 3;
  grid-row-end: 5;
  grid-column-start: 2;
  margin-left: 1em;
}

.job-card-flex-row
{
  display: flex;
  grid-row-start: 4;
  grid-row-end: 4;
  grid-column-start: 2;
}

.proxy-status
{
  grid-row-start: 6;
  grid-row-end: 6;
  grid-column-start: 2;
  text-align: center;
  margin-left: 1em;
}

/* ======== Proxy Jobs Page [END] ========= */

/* ======== Admin Page [START] ========= */

#admin-page{
  display: grid;
  grid-template-columns: minmax(250px, 20%) auto;
}

#admin-menu
{
  font-size: large;
  padding: 0px 10px 10px 10px;
  background-color: var(--cream);
  min-height: 100vh;
}

.menu-option:hover
{
  font-weight: 600;
}
.menu-option
{
  border-radius: 8px;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

.menu-option-active
{
  background-color: var(--blue-light);
  font-weight: 600;
}

.menu-option div
{
  cursor: pointer;
}

.config-row {
  display: grid;
  grid-template-columns: minmax(15em, 20em) auto;
}

.selected-btn
{
  background-color: var(--yellow-accent);
}

/* ======== Admin Page Page [END] ========= */

/* ======== Captions Page [START] ======== */

.caption-control-btns
{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.caption-text-section
{
  flex-grow: 1;
}

.caption-time-info
{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.captions-table
{
  max-height: 350px;
  overflow: auto;
}

div.captions-table tr.is-selected
{
  background-color: var(--beige);
  color: black;
}

#caption-table-text
{
  max-width: 500px;
  word-break: break-word;
}

/* ======== Captions Page [END] ======== */

/* ======== Roller loading icon [START] ======== */

.lds-roller {
  display: inline-block;
  position: relative;
  width: 40px;
  height: 40px;
}
.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 20px 20px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background: #4a4a4a;
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 32px;
  left: 32px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 34px;
  left: 28px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 36px;
  left: 24px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 36px;
  left: 20px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 36px;
  left: 16px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 34px;
  left: 12px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 32px;
  left: 9px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 28px;
  left: 6px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* ======== Roller loading icon [END] ======== */

/* ======== Story Pages [START] ========= */

.story-card
{
  display: grid;
  border-radius: 8px;
  grid-template-rows: 50px 100px 50px;
  grid-template-columns: 36% 38% 26%;
  padding: 0.5em 1em 0.5em;
}
.story-title
{
  grid-row: 1;
  grid-column-start: 1;
  grid-column-end: 3;
}
.story-date
{
  grid-row-start: 1;
  grid-row-end: 2;
  grid-column-start: 3;
  font-size: 12px;
  opacity: 90%;
}
.story-description
{
  grid-row: 2;
  grid-column-start: 1;
  grid-column-end: 3;
  font-size: 15px;
  opacity: 90%;
}
.story-destination
{
  grid-row: 3;
  grid-column: 1;
  display: flex;
  flex-wrap: wrap;
}
.story-origin
{
  grid-row: 3;
  grid-column: 2;
  display: flex;
  flex-wrap: wrap;
}
.story-select-btn
{
  grid-row: 3;
  grid-column: 3;
  opacity: 85%;
}

.tooltip
{
  position: relative;
  display: inline-block;
}
.tooltip .tooltiptext
{
  visibility: hidden;
  width: 350px;

  position: absolute;
  z-index: 1;
  top: 100%;
  left: 50%;
  margin-left: -60px;
}
.tooltip:hover .tooltiptext
{
  visibility: visible;
}
.tooltip-borders
{
  border: 1px solid grey;
}
.tooltip-video-detail .tooltiptext
{
  margin-left: -350px;
}

.transfer-status
{
  display: block;
  position: absolute;
  bottom: 10px;
  border: 1px solid #fafafa;
}
.transfer-progress
{
  width: 100%;
  position: relative;
  height: 18px;
}
.transfer-progress progress
{
  background-color: black;
  color: black;
}
.transfer-message
{
  position: relative;
  bottom: 0;
  left: 50%;
  transform: translate(-50%);
}
.transfer-progress .progress-text
{
  font-size: 0.8em;
  left: 50%;
  transform: translate(-50%);
  top: 0;
  position: absolute;
}

.pagination div
{
  cursor: pointer;
}

/* ======== Story Pages [END] ========= */

/* ======== Responsiveness [START] ======== */

@media only screen and (max-width: 1550px) {
  .mobile-search-remove
  {
    display: none;
  }
  .tablet-search-add
  {
    display: flex !important;
  }

  .navbar-start
  {
    max-width: 1105px;
    flex-wrap: wrap;
  }
  .story-text
  {
     border-left: 0px;
  }

  .story-card
  {
    grid-template-rows: 50px 130px 65px;
  }
}

@media only screen and (max-width: 1408px)
{
  #player-container .video-controls
  {
    display: block;
  }

  .navbar-start
  {
    max-width: 915px;
    flex-wrap: wrap;
  }
}

@media only screen and (max-width: 1408px)
{
  #keyboard-help-btn
  {
    display: none;
  }
}

@media only screen and (max-width: 1216px)
{
  .video-row .story-button
  {
    left: 0;
    top: 51%;
  }
  .story-button .story-tooltip
  {
    display: inline-block;
  }

  .navbar-start
  {
    max-width: 720px;
    flex-wrap: wrap;
  }

  .story-card
  {
    grid-template-rows: 50px 130px 65px;
  }
  .story-card .story-title a
  {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }

  .story-title
  {
    max-width: 690px;
  }
}

@media only screen and (max-width: 1024px)
{
  .audio-controls, #player-container .video-controls
  {
    display: flex;
  }
  #maximize-player-btn
  {
    display: none;
  }
  #keyboard-help-btn
  {
    display: block;
  }

  .story-card
  {
    grid-template-rows: 50px 150px 110px;
  }
  .story-card .story-destination span
  {
    overflow: hidden;
    overflow-wrap: break-word;
  }
  .story-card .story-select-btn button
  {
    max-width: 65px;
  }

  .video-row .video-times .story-button button
  {
    background: transparent;
  }

  .story-title
  {
    max-width: 430px;
  }
}

@media only screen and (max-width: 768px)
{
  .audio-controls, #player-container .video-controls
  {
    display: block;
  }

  #player-container #audio-ctrls-right
  {
    justify-content: center;
  }

  .video-row
  {
    grid-template-columns: 1fr 4fr 7fr;
    grid-gap: 0;
  }

  .video-row .thumbnail-group, .video-row .description
  {
    border-bottom: 1px solid grey;
  }

  .video-row>div
  {
    padding: 0.7em;
  }

  .video-row .action-btns
  {
    width: 8em;
    place-self: center;
  }

  .video-row .thumbnail-group
  {
    width: auto;
  }

  .video-row .action-btns button
  {
    margin-bottom: 0;
  }

  .video-row .video-times
  {
    padding: 2.4em;
  }

  .video-row .video-times div
  {
    width: 100%;
  }

  .video-row .story-button
  {
    top: 10%;
  }

  .story-card
  {
    grid-template-rows: 50px 130px auto;
  }
  .story-card .story-select-btn button
  {
    max-width: 90px;
  }

  .tooltip-story-detail .tooltiptext
  {
    width: 300px;
    left: 100%;
  }

  .tooltip-video-detail .tooltiptext
  {
    width: 190px;
    margin-left: -95px;
  }
}

@media only screen and (max-width: 630px)
{
  #keyboard-help-btn
  {
    display: none;
  }
}

@media only screen and (max-width: 550px)
{
  #video-detail-page #location-table
  {
    display: flex;
    flex-direction: column;
  }

  .video-row
  {
    grid-template-columns: 1fr;
  }

  .video-row .description
  {
    border-bottom: 1px solid grey;
    text-align: center;
  }

  .video-row .description .clip-file-name
  {
    display: contents;
  }

  .video-row .description .file-type
  {
    position: relative;
    display: block;
  }

  .video-row .mobile-place-holder
  {
    display: none;
  }

  .video-row .video-times
  {
    padding: 0.4em 0 0 0;
    text-align: center;
  }

  .video-row .video-times .video-duration, .video-row .video-times .created-date,
  .video-row .video-times .story-button
  {
    position: initial;
  }

  .video-row .thumbnail-group a
  {
    margin: 1em auto;
    width: 12.8em;
  }

  #player-container #audio-ctrls-right
  {
    flex-wrap: wrap;
  }

  #player-container #audio-ctrls-right>div
  {
    margin: 0.3em;
  }
}

@media only screen and (max-width: 440px)
{
  #rename-btn-container, #save-btn-container
  {
    flex-direction: column;
  }

  #rename-slug-b #update-vault-info-b
  {
    margin-top: 0.5em;
  }

  .expanded video
  {
    min-height: 100%;
  }
}
/* ======== Responsiveness [END] ======== */
